<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="513772ed-120e-4a7e-8aba-67bc1d731ffb" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="FlaskConsoleOptions" custom-start-script="import sys&#10;sys.path.extend([WORKING_DIR_AND_PYTHON_PATHS])&#10;from flask.cli import ScriptInfo&#10;locals().update(ScriptInfo(create_app=None).load_app().make_shell_context())&#10;print(&quot;Python %s on %s\nApp: %s [%s]\nInstance: %s&quot; % (sys.version, sys.platform, app.import_name, app.env, app.instance_path))">
    <envs>
      <env key="FLASK_APP" value="app" />
    </envs>
    <option name="myCustomStartScript" value="import sys&#10;sys.path.extend([WORKING_DIR_AND_PYTHON_PATHS])&#10;from flask.cli import ScriptInfo&#10;locals().update(ScriptInfo(create_app=None).load_app().make_shell_context())&#10;print(&quot;Python %s on %s\nApp: %s [%s]\nInstance: %s&quot; % (sys.version, sys.platform, app.import_name, app.env, app.instance_path))" />
    <option name="myEnvs">
      <map>
        <entry key="FLASK_APP" value="app" />
      </map>
    </option>
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 4
}</component>
  <component name="ProjectId" id="2YCM1RIijbtSsNBVNcJogBHFUOL" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;Python.data.executor&quot;: &quot;Run&quot;,
    &quot;Python.yolov8.executor&quot;: &quot;Run&quot;,
    &quot;Python.yolov8_heatmap.executor&quot;: &quot;Run&quot;,
    &quot;RunOnceActivity.OpenProjectViewOnStart&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;last_opened_file_path&quot;: &quot;E:/python/YOLOv8/ultralytics-main/ultralytics/cfg&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable&quot;,
    &quot;vue.rearranger.settings.migration&quot;: &quot;true&quot;
  }
}</component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\python\YOLOv8\ultralytics-main\ultralytics\cfg" />
      <recent name="E:\python\YOLOv8\ultralytics-main\ultralytics\cfg\models\v8" />
      <recent name="E:\python\YOLOv8\ultralytics-main\ultralytics\nn\modules" />
      <recent name="E:\code\python\YOLOv8\ultralytics-main\ultralytics\cfg\models\v8" />
      <recent name="E:\code\python\YOLOv8\ultralytics-main\ultralytics\nn\modules" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="E:\code\python\YOLOv8\ultralytics-main\ultralytics" />
      <recent name="E:\code\python\YOLOv8\ultralytics-main\ultralytics\nn\modules" />
    </key>
  </component>
  <component name="RunManager" selected="Python.yolov8_heatmap">
    <configuration name="conv" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="ultralytics-main" />
      <option name="ENV_FILES" value="" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/ultralytics/nn/modules" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/ultralytics/nn/modules/conv.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="data" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="ultralytics-main" />
      <option name="ENV_FILES" value="" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/ultralytics" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/ultralytics/data.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="pyhon38" type="PythonConfigurationType" factoryName="Python">
      <module name="ultralytics-main" />
      <option name="ENV_FILES" value="" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="D:\conda\envs\python38\python.exe" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/.." />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="python37" type="PythonConfigurationType" factoryName="Python">
      <module name="ultralytics-main" />
      <option name="ENV_FILES" value="" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="D:\conda\envs\python38\python.exe" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/.." />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="yolov8" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="ultralytics-main" />
      <option name="ENV_FILES" value="" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/yolov8.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="yolov8_heatmap" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="ultralytics-main" />
      <option name="ENV_FILES" value="" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/yolov8_heatmap.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="make.sh" type="ShConfigurationType" temporary="true">
      <option name="SCRIPT_TEXT" value="" />
      <option name="INDEPENDENT_SCRIPT_PATH" value="true" />
      <option name="SCRIPT_PATH" value="$PROJECT_DIR$/ultralytics/ops_dcnv3/make.sh" />
      <option name="SCRIPT_OPTIONS" value="" />
      <option name="INDEPENDENT_SCRIPT_WORKING_DIRECTORY" value="true" />
      <option name="SCRIPT_WORKING_DIRECTORY" value="$PROJECT_DIR$/ultralytics/ops_dcnv3" />
      <option name="INDEPENDENT_INTERPRETER_PATH" value="true" />
      <option name="INTERPRETER_PATH" value="" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="EXECUTE_IN_TERMINAL" value="true" />
      <option name="EXECUTE_SCRIPT_FILE" value="true" />
      <envs />
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="Python.pyhon38" />
      <item itemvalue="Python.python37" />
      <item itemvalue="Python.conv" />
      <item itemvalue="Python.data" />
      <item itemvalue="Python.yolov8" />
      <item itemvalue="Python.yolov8_heatmap" />
      <item itemvalue="Shell Script.make.sh" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Python.yolov8_heatmap" />
        <item itemvalue="Python.yolov8" />
        <item itemvalue="Python.data" />
        <item itemvalue="Shell Script.make.sh" />
        <item itemvalue="Python.conv" />
      </list>
    </recent_temporary>
  </component>
  <component name="SharedIndexes">
    <attachedChunks>
      <set>
        <option value="bundled-python-sdk-7a29c1521ef0-c986f194a52a-com.jetbrains.pycharm.pro.sharedIndexes.bundled-PY-233.11799.298" />
      </set>
    </attachedChunks>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="513772ed-120e-4a7e-8aba-67bc1d731ffb" name="Default Changelist" comment="" />
      <created>1700024896552</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1700024896552</updated>
      <workItem from="1700024899260" duration="156000" />
      <workItem from="1700025065462" duration="89000" />
      <workItem from="1700025177266" duration="225000" />
      <workItem from="1700025422513" duration="1062000" />
      <workItem from="1700035417720" duration="19000" />
      <workItem from="1700035651477" duration="17000" />
      <workItem from="1700036747149" duration="787000" />
      <workItem from="1700038688483" duration="2082000" />
      <workItem from="1700095908911" duration="3897000" />
      <workItem from="1700112015048" duration="11460000" />
      <workItem from="1700441325563" duration="2560000" />
      <workItem from="1700446457905" duration="118000" />
      <workItem from="1700539222555" duration="1041000" />
      <workItem from="1700622479508" duration="5613000" />
      <workItem from="1700704063160" duration="7269000" />
      <workItem from="1700787738417" duration="3646000" />
      <workItem from="1701308942963" duration="6959000" />
      <workItem from="1701415978873" duration="3996000" />
      <workItem from="1701421411223" duration="1005000" />
      <workItem from="1702994396889" duration="181000" />
      <workItem from="1702994600922" duration="2215000" />
      <workItem from="1703071820234" duration="3648000" />
      <workItem from="1703597021367" duration="1093000" />
      <workItem from="1703763684454" duration="1866000" />
      <workItem from="1703936092884" duration="176000" />
      <workItem from="1704018448185" duration="1250000" />
      <workItem from="1704114101902" duration="173000" />
      <workItem from="1704372602645" duration="3989000" />
      <workItem from="1704460626698" duration="243000" />
      <workItem from="1704545663089" duration="9897000" />
      <workItem from="1704717827201" duration="1436000" />
      <workItem from="1704797281299" duration="2368000" />
      <workItem from="1704881010497" duration="1836000" />
      <workItem from="1704890579726" duration="1309000" />
      <workItem from="1704974782293" duration="1442000" />
      <workItem from="1705063707264" duration="370000" />
      <workItem from="1705141864944" duration="8498000" />
      <workItem from="1705404807114" duration="2511000" />
      <workItem from="1705502635553" duration="5857000" />
      <workItem from="1711974565625" duration="20000" />
      <workItem from="1711975208955" duration="3414000" />
      <workItem from="1713700404144" duration="2580000" />
      <workItem from="1713915202430" duration="4785000" />
      <workItem from="1714219090401" duration="414000" />
      <workItem from="1714222902782" duration="304000" />
      <workItem from="1714310140539" duration="36000" />
      <workItem from="1714397777428" duration="2470000" />
      <workItem from="1714659266135" duration="50000" />
      <workItem from="1714748386795" duration="1010000" />
      <workItem from="1714950906121" duration="494000" />
      <workItem from="1715004613216" duration="1319000" />
      <workItem from="1715171174927" duration="65000" />
      <workItem from="1715171262650" duration="5363000" />
      <workItem from="1715817499132" duration="2418000" />
      <workItem from="1716024997167" duration="10000" />
      <workItem from="1716162611627" duration="25000" />
      <workItem from="1716248786294" duration="3181000" />
      <workItem from="1716335299361" duration="6647000" />
      <workItem from="1717081483893" duration="1549000" />
      <workItem from="1717238167069" duration="4279000" />
      <workItem from="1717630990976" duration="1209000" />
      <workItem from="1718063688342" duration="633000" />
      <workItem from="1718144783740" duration="242000" />
      <workItem from="1718668245121" duration="44000" />
      <workItem from="1718791746015" duration="7000" />
      <workItem from="1718945523730" duration="743000" />
      <workItem from="1719280092194" duration="1569000" />
      <workItem from="1719531838064" duration="872000" />
      <workItem from="1719666167178" duration="198000" />
      <workItem from="1719844136578" duration="10000" />
      <workItem from="1719845734815" duration="75000" />
      <workItem from="1719963150117" duration="252000" />
      <workItem from="1719963450162" duration="249000" />
      <workItem from="1719973447514" duration="249000" />
      <workItem from="1720349937788" duration="653000" />
      <workItem from="1720512698531" duration="1939000" />
      <workItem from="1720626571895" duration="186000" />
      <workItem from="1720759779522" duration="120000" />
      <workItem from="1720938748841" duration="896000" />
      <workItem from="1721058733622" duration="858000" />
      <workItem from="1721228490528" duration="67000" />
      <workItem from="1723218591322" duration="98000" />
      <workItem from="1723614903747" duration="4216000" />
      <workItem from="1724477733930" duration="2096000" />
      <workItem from="1724928907384" duration="421000" />
      <workItem from="1734007304978" duration="1871000" />
      <workItem from="1734011423371" duration="1156000" />
      <workItem from="1739953732842" duration="6561000" />
      <workItem from="1740142292859" duration="793000" />
      <workItem from="1747897309662" duration="2246000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/traffic_yaml$yolov8_heatmap.coverage" NAME="yolov8_heatmap Coverage Results" MODIFIED="1724479242531" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/yolov8_heatmap_py$yolov8_heatmap.coverage" NAME="yolov8_heatmap Coverage Results" MODIFIED="1740142452922" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/ultralytics_main$yolov8_heatmap.coverage" NAME="yolov8_heatmap Coverage Results" MODIFIED="1701325618926" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/traffic_yaml$data.coverage" NAME="data Coverage Results" MODIFIED="1734007716578" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/ultralytics" />
    <SUITE FILE_PATH="coverage/ultralytics_main$data.coverage" NAME="data Coverage Results" MODIFIED="1700183152373" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/ultralytics" />
    <SUITE FILE_PATH="coverage/ultralytics_main$yolov8.coverage" NAME="yolov8 Coverage Results" MODIFIED="1701419287197" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/ultralytics_main$conv.coverage" NAME="conv Coverage Results" MODIFIED="1700709210767" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/ultralytics/nn/modules" />
    <SUITE FILE_PATH="coverage/traffic_yaml$yolov8.coverage" NAME="yolov8 Coverage Results" MODIFIED="1734012147587" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
  </component>
</project>